Popup error message

Home Forums PopUp Plugin Popup error message

This topic contains 1 reply, has 1 voice, and was last updated by  rjfoster03 5 months, 3 weeks ago.

Viewing 2 posts - 1 through 2 (of 2 total)
  • Author
    Posts
  • #21876

    rjfoster03
    Participant

    When accessing a page, I am now receiving the following error message:

    Fatal error: Cannot use string offset as an array in /home/content/01/5335601/html/wp-content/plugins/popup-by-supsystic/modules/popup/mod.php on line 194

    Never had an issue with this, so I am not sure where to find the line with the issue. Any suggestions would be appreciated.

    #21877

    rjfoster03
    Participant

    After further checking, I did find the location of the line 194. Here is the css associated with the line (line 194 is in bold):

    foreach($popups as $i => $p) {
    if(isset($p[‘params’][‘main’][‘hide_for_devices’])
    && !empty($p[‘params’][‘main’][‘hide_for_devices’])
    ) { // Check if popup need to be hidden for some devices
    if(!$mobileDetect) {
    importClassPps(‘Mobile_Detect’, PPS_HELPERS_DIR. ‘mobileDetect.php’);
    $mobileDetect = new Mobile_Detect();
    $isTablet = $mobileDetect->isTablet();
    $isMobile = !$isTablet && $mobileDetect->isMobile();
    $isDesktop = !$isMobile && !$isTablet;
    }

Viewing 2 posts - 1 through 2 (of 2 total)

The topic ‘Popup error message’ is closed to new replies.

Get plugins bundle today and save over 80%